summarylogtreecommitdiffstats
path: root/image2pattern.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-29 18:22:49 +0800
committerzxp198210052024-03-29 18:22:49 +0800
commit5386c06fb4580aca35d692bc548909e8680f3783 (patch)
tree2bc5ef641c631448c6296364e0299d742c020914 /image2pattern.sh
downloadaur-image2pattern-git.tar.gz
update to r205.e301418
Diffstat (limited to 'image2pattern.sh')
-rw-r--r--image2pattern.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/image2pattern.sh b/image2pattern.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/image2pattern.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file